"""
Get Analog sensors from mcp3008 and send to OSC

"""

import time
from pythonosc import udp_client
import Adafruit_GPIO.SPI as SPI
import Adafruit_MCP3008


# Software SPI configuration:
CLK  = 18
MISO = 23
MOSI = 24
CS   = 25
SECONDS = 0.02


if __name__ == "__main__":
    mcp = Adafruit_MCP3008.MCP3008(clk=CLK, cs=CS, miso=MISO, mosi=MOSI)
    client = udp_client.SimpleUDPClient("127.0.0.1", 8000)

    # Main program loop.
    while True:
        # Read all the ADC channel values in a list.
        values = [0]*8
        for i in range(8):
            # The read_adc function will get the value of the specified channel (0-7).
            values[i] = mcp.read_adc(i)
            client.send_message("/ana"+str(i), values[i])
        # Pause for half a second.
        time.sleep(SECONDS)     




